Last modified: 2012-08-04 20:48:57 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 17026 - Update of MW 1.11 to MW 1.13 on postgresql: missing rev_parent_id
Update of MW 1.11 to MW 1.13 on postgresql: missing rev_parent_id
Status: RESOLVED WONTFIX
Product: MediaWiki
Classification: Unclassified
Maintenance scripts (Other open bugs)
1.13.x
All All
: Lowest critical (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: postgres
  Show dependency treegraph
 
Reported: 2009-01-14 21:46 UTC by RV1971
Modified: 2012-08-04 20:48 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Patch to updaters.inc (657 bytes, patch)
2009-02-05 08:53 UTC, OverlordQ
Details

Description RV1971 2009-01-14 21:46:13 UTC
When I update my MW running on a postgresql database (on Linux, but I guess that does not matter) from 1.11 to 1.13, the update script does not report errors, but any attempt to open a page in MW 1.13 leads to errors because the column revision.rev_parent_id is missing.

Indeed, the scripts for mysql include a statement adding this column but those for postgres don't. I guess the right statement for postgres is

alter table revision add rev_parent_id integer;

but I'm not sure about the exact datatype. And I don't know where to insert this in the update scripts.

I executed this manually, and everything appears to work fine.

I'm wondering whether the update has ever been tested on postgresql, since it seems impossible that this bug is not detected. Is this due to a lack of testers in the postgresql area?
Comment 1 OverlordQ 2009-02-05 08:53:49 UTC
Created attachment 5782 [details]
Patch to updaters.inc

Looks like updaters.inc was only changed to reflect MySQL.
Comment 2 Tim Starling 2009-02-07 03:04:52 UTC
The update for rev_parent_id is right there in the context of your own patch.
Comment 3 Tim Starling 2009-02-07 03:09:09 UTC
I'm releasing 1.14.0rc1 now, I suggest you upgrade directly to that.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links